Bug Hunting Session
Bug 92481 - When opening an RTF file with \widowctrl set, that keyword has no effect
Summary: When opening an RTF file with \widowctrl set, that keyword has no effect
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.3.2 release
Hardware: x86 (IA32) All
: medium minor
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.1.0 target:5.0.0.3
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-01 16:01 UTC by Bernard Moreton
Modified: 2016-10-25 19:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
The sample shows the failure at the bottom of p.1, and \widctlpar working at the end of p.2 (5.73 KB, application/rtf)
2015-07-01 16:01 UTC, Bernard Moreton
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Moreton 2015-07-01 16:01:05 UTC
Created attachment 116973 [details]
The sample shows the failure at the bottom of p.1, and \widctlpar working at the end of p.2

The keyword \widowctrl has no effect when opening an RTF file, though \widctlpar works as expected
Comment 1 Buovjaga 2015-07-02 14:37:50 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+ (x64)
Build ID: 3a6ec53eeeec71312f5ea890689f9c2ee79c2aac
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-07-01_02:24:40
Locale: fi-FI (fi_FI)
Comment 2 Miklos Vajna 2015-07-03 09:58:28 UTC
Right, \widowctrl is not imported at the moment, will take care of that.
Comment 3 Commit Notification 2015-07-06 07:16:58 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ffc7b671e213d366e59d39ddbbef66544ebf01e5

tdf#92481 RTF import: handle \widowctrl

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-07-06 22:10:56 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ff3a1d983acc04715e16373c1ca8cc64dafdccd0&h=libreoffice-5-0

tdf#92481 RTF import: handle \widowctrl

It will be available in 5.0.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.